uniform sampler2D texSSAO;

int noiseTexSize = 4;

in vec2 texCoord;

out float fragColor;

void main (void)
{
    vec2 texelSize = 1.0 / vec2(textureSize(texSSAO, 0));
    float result = 0.0;
    for (int x = -2; x < 2; x++)
    {
        for (int y = -2; y < 2; y++)
        {
            vec2 offset = vec2(float(x), float(y)) * texelSize;
            result += texture(texSSAO, texCoord + offset).r;
        }
    }

    fragColor = result / float(noiseTexSize * noiseTexSize);
}