uniform sampler2D texDiffuse;

in vec3 position;
in vec4 color;
in vec2 texCoord;
in vec3 normal;

// 0 = position
// 1 = normal
// 2 = color
out vec4 fragColor[3];

void main (void)
{
    // Worldspace position to position texture
    fragColor[0] = vec4(position, 1.0);

    // Worldspace normal to normal texture
    fragColor[1] = vec4(normal, 1.0);

    // Albedo color to albedo texture
    vec4 diffuseColor = texture(texDiffuse, texCoord);
    if (diffuseColor.a < 0.2)
        discard;

    fragColor[2] = color * diffuseColor;
}