uniform sampler2D texFontAtlas;

uniform mat4 modelMatrix;
uniform mat4 projMatrix;

// Actually a combination of 2D position and texture coordinates
layout(location = 0) in vec4 inPosition;

out vec2 texCoord;

void main(void)
{
    // Split the position and texture coordinates
    gl_Position	= projMatrix * modelMatrix * vec4(inPosition.xy, 0.0, 1.0);

    // Texture coordinates are in pixel space so we need to convert them
    texCoord = inPosition.zw / vec2(textureSize(texFontAtlas, 0));
}